Subject: Re: IBM OpenPower 720 ipr driver woes

From: Gavin Shan <[email-masked]>
Date: Fri, 7 Jun 2013 08:24:59 +0800

On Thu, Jun 06, 2013 at 08:39:45AM -0400, Robert Knight wrote:
>On 06/06/2013 07:32 AM, Brian King wrote:
>>On 06/05/2013 04:14 PM, Robert Knight wrote:
>>>On 6/3/2013 11:52 PM, Gavin Shan wrote:
>>>>On Tue, Jun 04, 2013 at 01:16:52PM +1000, Tony Breeds wrote:
>>>>>On Mon, Jun 03, 2013 at 09:40:52PM -0400, Robert Knight wrote:
>>>>>>On 6/3/2013 8:01 PM, Tony Breeds wrote:
>>>>>>>On Mon, Jun 03, 2013 at 05:20:12PM -0400, Robert Knight wrote:

.../...

>Yes.  I've started rebuilding the kernel and I'm up to the module
>building part, so I'd say it is solid.  Will this patch make it into
>some version of the kernel?
>

The patch is being pushed to mainline or linux-next, and backported
to stable-kernel (v3.4+)

>What was killing me was that it would not complete boot.  It now
>does.  I see:
>
>[   11.934481] scsi 0:0:15:0: Resetting device
>[   11.934813] ipr 0001:d0:01.0: Adapter being reset as a result of
>error recovery.
>
>on each boot.  It does not appear to affect operation.
>
>Thank you and the rest of the team for your rapid and helpful responses.
>

Thanks,
Gavin